ContactsSend a file

Send a file

POST /contacts/{contact_id}/send/file

curl -X POST "https://app.bualpro.com/api/contacts/123/send/file" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY" \
  -d '{
  "url": "https://...",
  "type": "image",
  "channel": "messenger"
}'
{
  "success": true
}
POST
/contacts/{contact_id}/send/file
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
typestring
Required
Options: file, image, audio, video
channelstring
Options: messenger, sms, whatsapp, googleBM, telegram, instagram, viber, omnichannel
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Body

application/json
typestring
Required
Allowed values:fileimageaudiovideo
channelstring
Allowed values:messengersmswhatsappgoogleBMtelegraminstagramviberomnichannel

Responses

successboolean

Send file